package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.ResourceMetricsInfoMapper;
import com.zyc.system.domain.ResourceMetricsInfo;
import com.zyc.system.service.IResourceMetricsInfoService;

/**
 * 资源指标信息Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class ResourceMetricsInfoServiceImpl implements IResourceMetricsInfoService 
{
    @Autowired
    private ResourceMetricsInfoMapper resourceMetricsInfoMapper;

    /**
     * 查询资源指标信息
     * 
     * @param id 资源指标信息主键
     * @return 资源指标信息
     */
    @Override
    public ResourceMetricsInfo selectResourceMetricsInfoById(Integer id)
    {
        return resourceMetricsInfoMapper.selectResourceMetricsInfoById(id);
    }

    /**
     * 查询资源指标信息列表
     * 
     * @param resourceMetricsInfo 资源指标信息
     * @return 资源指标信息
     */
    @Override
    public List<ResourceMetricsInfo> selectResourceMetricsInfoList(ResourceMetricsInfo resourceMetricsInfo)
    {
        return resourceMetricsInfoMapper.selectResourceMetricsInfoList(resourceMetricsInfo);
    }

    /**
     * 新增资源指标信息
     * 
     * @param resourceMetricsInfo 资源指标信息
     * @return 结果
     */
    @Override
    public int insertResourceMetricsInfo(ResourceMetricsInfo resourceMetricsInfo)
    {
        return resourceMetricsInfoMapper.insertResourceMetricsInfo(resourceMetricsInfo);
    }

    /**
     * 修改资源指标信息
     * 
     * @param resourceMetricsInfo 资源指标信息
     * @return 结果
     */
    @Override
    public int updateResourceMetricsInfo(ResourceMetricsInfo resourceMetricsInfo)
    {
        return resourceMetricsInfoMapper.updateResourceMetricsInfo(resourceMetricsInfo);
    }

    /**
     * 批量删除资源指标信息
     * 
     * @param ids 需要删除的资源指标信息主键
     * @return 结果
     */
    @Override
    public int deleteResourceMetricsInfoByIds(Integer[] ids)
    {
        return resourceMetricsInfoMapper.deleteResourceMetricsInfoByIds(ids);
    }

    /**
     * 删除资源指标信息信息
     * 
     * @param id 资源指标信息主键
     * @return 结果
     */
    @Override
    public int deleteResourceMetricsInfoById(Integer id)
    {
        return resourceMetricsInfoMapper.deleteResourceMetricsInfoById(id);
    }
}
